Package org.eclipse.jgit.patch

## Enum FormatError.Severity

- java.lang.Object
- - java.lang.Enum<FormatError.Severity>
  - - org.eclipse.jgit.patch.FormatError.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<FormatError.Severity>`

Enclosing class:
  FormatError

    public static enum FormatError.Severity
    extends Enum<FormatError.Severity>

Classification of an error.

### Enum Constant Summary

Enum Constants
`ERROR` The error indicates the script is severely flawed.
`WARNING` The error is unexpected, but can be worked around.

### Method Summary

All Methods Static Methods Concrete Methods
`static FormatError.Severity` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FormatError.Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WARNING

    public static final FormatError.Severity WARNING

The error is unexpected, but can be worked around.

#### ERROR

    public static final FormatError.Severity ERROR

The error indicates the script is severely flawed.

### Method Detail

#### values

    public static FormatError.Severity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FormatError.Severity c : FormatError.Severity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FormatError.Severity valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null